#ifndef MATRIXPROD_H
#define MATRIXPROD_H

#include <vector>

using namespace std;

class MatrixProd
{
    public:
        /** Default constructor */
        MatrixProd();
        /** Constructor */
        MatrixProd(vector<double> uc, vector<double> vc);

        vector<double> Mult(const vector<double> &x) const;

        vector<double> MultT(const vector<double> &x) const;

        /** Default destructor */
        virtual ~MatrixProd();


    protected:

    private:
        vector<double> u; //!< Member variable "u"
        vector<double> v; //!< Member variable "v"
        int nrow; //!< Member variable "nrow"
        int mcol; //!< Member variable "mcol"
};

#endif // MATRIXPROD_H
